# Over 150 songs on the JHT 149 are present in the irealB Corpus
# Fool's rush In is missing

#titles in JHT JSON
JHT_TITLES = ['Red Clay', 'Equinox', 'Jody Grind, The', 'Mr. P.C.', 'Blues For Wood', 'Interplay', 'Solar',
              "Birk's Works", 'Blue In Green', "Booker's Waltz", 'Contemplation', 'Friday The 13th',
              'If You Never Come To Me', 'Pent Up House', 'Sweet Georgia Bright', 'Valse Hot',
              "Wayne's Thang", 'We Will Meet Again', 'Blue Bossa', 'Israel', 'Mac The Knife', 'Sugar',
              'When The Saints Go Marching In', 'Work Song', 'Beatrice', 'Jackie-ing', 'Lady Bird',
              'On The Trail', 'Peace', 'Sunny', 'United', 'Funkallero', 'Yesterdays', 'Afro Blue',
              'Blues For Alice', 'Brotherhood Of Man', 'Freight Train', 'Got A Match?',
              'Half Nelson', 'Leaving', 'Old Country, The', 'Recordame', 'Just A Gigolo',
              'Little Boat (O Barquinho)', "Armando's Rhumba", 'Summertime', "Why Don't You Do Right?",
              'Bluesette', 'Central Park West', 'Footprints', 'Four On Six', 'Light Blue', 'Paper Doll', 'Serenity',
              'Simone', 'St. Thomas', 'Ballade', 'Minor Strain', 'Song For My Father', 'Witch Hunt',
              'If You Ever Should Leave', 'Night Dreamer', "Boo Boo's Birthday", 'Girl Talk',
              'Serenade To A Cuckoo', "It's Been A Long Long Time", 'My Ideal', 'Chucho',
              'Bemsha Swing', 'Idle Moments', 'I Wish I Knew How It Would Feel To Be Free',
              "When You're Smilin'", 'Avalon', 'Backstage Sally', "Gary's Notebook", 'Glad To Be Unhappy',
              'Hot House', 'Hungaria', 'In A Mellow Tone (In A Mellotone)', "I've Found A New Baby v2",
              "Lennie's Pennies", 'Move', 'So Danco Samba', 'Someday My Prince Will Come', 'Subconscious Lee',
              'Tune Up', 'What Is This Thing Called Love', 'Bossa Antigua', 'Bright Mississippi', 'Cool One, The',
              'Fine And Dandy', "I've Got A Crush On You", "Jeannie's Song", 'Minor Mood', 'Nothing Personal',
              'O Grande Amor', 'All Of Me', 'Autumn Leaves', 'Fools Rush In', 'Boy Next Door',
              'I Fall In Love Too Easily', 'In A Shanty In Old Shanty Town', 'Rose Room',
              'Shadow Of Your Smile, The', 'Shine', 'Smile', "Struttin' With Some Barbecue",
              'Weaver Of Dreams, A', '502 Blues', 'Bill Bailey', 'Blue Lou', 'Broadway',
              'Dearly Beloved', 'Good Life, The', 'I Love Paris', 'I Love You',
              'In A Little Spanish Town', 'Look For The Silver Lining', 'My Melancholy Baby',
              'Nuages', 'Remember', 'So Nice (Summer Samba)', 'Stella By Starlight', 'Them There Eyes',
              'Time On My Hands', 'Why Do I Love You?', 'Zingaro (Retrato Em Branco E Preto)',
              'Baubles, Bangles And Beads', 'Beautiful Love', 'Candy', 'Dancing In The Dark', 'Donna Lee',
              'Fine Romance, A', 'Hackensack', "I Can't Believe...You're In Love...", "I'll Close My Eyes",
              'Jersey Bounce', 'Just Friends', 'Just In Time', 'Take The A Train', "This Can't Be Love",
              'You Stepped Out Of A Dream', 'Across The Valley From The Alamo', 'Beautiful Friendship, A',
              'Best Things In Life Are Free, The',
              "Don't Worry 'Bout Me", 'Exactly Like You', "I've Found A New Baby",
              'How High The Moon', 'Corcovado']


# names of iRb jazz files
JHT = ['redclay',
       'equinox',
       'jodygrind',
       'mrpc',
       'bluesforwood',
       'interplay',
       'solar',
       'birksworks',
       'blueingreen',
       'bookerswaltz',
       'contemplation',
       'fridaythe13th',
       'ifyounevercometome',
       'pentuphouse',
       'sweetgeorgiabright',
       'valsehot',
       "waynesthang",
       'wewillmeetagain',
       'bluebossa',
       'israel',
       'mactheknife',
       'sugar',
       'whenthesaintsgomarchingin',
       'worksong',
       'beatrice',
       'jackie-ing',
       'ladybird',
       'onthetrail',
       'peace',
       'sunny',
       'united',
       'funkallero',
       'yesterdays',
       'afroblue',
       'bluesforalice',
       'brotherhoodofman',
       'freighttrain',
       'gotamatch',
       'halfnelson',
       'leaving',
       'oldcountry',
       'recordame',
       'justagigolo',
       'littleboat',
       "armandosrhumba",
       'summertime',
       "whydontyoudoright",
       'bluesette',
       'centralparkwest',
       'footprints',
       'fouronsix',
       'lightblue',
       'paperdoll',
       'serenity',
       'simone',
       'stthomas',
       'ballade',
       'minorstrain',
       'songformyfather',
       'witchhunt',
       'ifyouevershouldleave',
       'nightdreamer',
       "booboosbirthday",
       'girltalk',
       'serenadetoacuckoo',
       "itsbeenalonglongtime",
       'myideal',
       'vchucho',
       'bemshaswing',
       'idlemoments',
       'iwishiknewhowitwouldfeeltobefree',
       'whenyouresmilin',
       'avalon',
       'backstagesally',
       'garysnotebook',
       'gladtobeunhappy',
       'hothouse',
       'hungaria',
       'inamellowtone',
       'ivefoundanewbabyv2',
       'lenniespennies',
       'move',
       'sodancosamba',
       'somedaymyprincewillcome',
       'subconsciouslee',
       'tuneup',
       'whatisthisthingcalledlove',
       'bossaantigua',
       'brightmississippi',
       'coolone',
       'fineanddandy',
       "ivegotacrushonyou",
       "jeanniessong",
       'minormood',
       'nothingpersonal',
       'ograndeamor',
       'allofme',
       'autumnleaves',
       'boynextdoor',
       'ifallinlovetooeasily',
       'inashantyinoldshantytown',
       'roseroom',
       'shadowofyoursmile',
       'shine',
       'smile',
       'struttinwithsomebarbecue',
       'weaverofdreams',
       '502blues',
       'billbailey',
       'bluelou',
       'broadway',
       'dearlybeloved',
       'goodlife',
       'iloveparis',
       'iloveyou',
       'inalittlespanishtown',
       'lookforthesilverlining',
       'mymelancholybaby',
       'nuages',
       'remember',
       'sonice',
       'stellabystarlight',
       'themthereeyes',
       'timeonmyhands',
       'whydoiloveyou',
       'zingaro',
       'baubles',
       'beautifullove',
       'candy',
       'dancinginthedark',
       'donnalee',
       'fineromance',
       'hackensack',
       "icantbelieveyoureinlove",
       "illclosemyeyes",
       'jerseybounce',
       'justfriends',
       'justintime',
       'taketheatrain',
       "thiscantbelove",
       'yousteppedoutofadream',
       'acrossthevalleyfromthealamo',
       'beautifulfriendship',
       'bestthingsinlifearefree',
       "dontworryboutme",
       'exactlylikeyou',
       "ivefoundanewbaby",
       'howhighthemoon',
       'corcovado']

if __name__ == '__main__':
    # test d'existence des fichiers
    from os.path import isfile, join
    
    IRB_PATH = '../iRb_with_corrections/'
    JHT = [file+".jazz" for file in JHT]
    for f in JHT:
        if not isfile(join(IRB_PATH, f)):
            print(f)